<template>
   <div class="wrapper">
       <div class="header">
          <button @click="$router.push('/')">Words Keeper</button> 
          <div>FavoriteWords</div>
                 
       </div>
       <div class="search_content">
       <div class="search">
     <input type="text" class="search-field"  placeholder="Введите слово"
        @input="debounceInput"
        v-model="search"
        >
        <img src="https://image.flaticon.com/icons/svg/49/49116.svg" alt="" class="search-icon">
      </div>
        <div class="words"
      v-for="word in this.$store.state.favoriteWords"
      :key="word.id"
      >
           <div class="part_of_speech">{{word.partOfSpeech}}</div>
          <div>{{word.definition}}</div> 
      
      
           
          
      </div>
   </div>  
  
</div>
</template>

<script>
import debounce from 'debounce'

export default {
  data(){
   return { search: ''
            
            
                       
  }
  },
  methods: {
    debounceInput: debounce(function (e) {
      this.$store.dispatch('GET_FAVORITE_WORDS', e.target.value)    
    }, 1000),

  },
  created: function() {
     this.$store.dispatch('GET_FAVORITE_WORDS', null) 
  }

}
</script>

<style scoped>


.wrapper {
    
    margin: 0 auto;
    border: 1px solid black;
    border-top: none;
    background-color: rgb(211, 195, 195);
}
.header {
    display:flex;
    justify-content:space-around;
    border: 1px solid blue;
    border-radius: 3%;
    background-color: darkblue;
}

.header div {
    font-size: 16px;
    font-weight: bold;
    color: cornsilk;
    margin-left: 50px;
    cursor: pointer;
}
.search_content{
  
  display: flex;
  flex-direction: column;
  
}


.search {
    margin: 70px 50px;
    display: inline-flex;
    border: 1px solid black;
    border-radius: 30px;
    padding: 10px;
    background-color: white;
  }
  
  .search-icon {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    order: -1;
  }
  
  .search-field {
    width: 180px;
    border: 0; 
  }
  
  .search-field:focus {
    outline: none;
  }

  .search_content{
      display: block
      
      
  }
  
  .words{
    display: flex;    
    height: 25%;
    width: 25%;    
    margin-left: 40px;
    margin-top: 15px;
    border: 1px solid black;
    border-radius: 30px;
    padding: 10px;
    background-color: white;
  }

  .words:nth-child(odd){
    color:white;
    background-color: black;
  }
  .favorite_words{
    vertical-align: center;
  }

  .part_of_speech{
    font-style: italic;
    padding-right: 10px;
  }
  .search_words{
    font-size: 16px;
    font-style: bold;
    margin-left: 40px;
  }
</style>